Bug 730465 - gdbm-1.9.1 is available
Summary: gdbm-1.9.1 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdbm
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 740235
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-13 10:10 UTC by Upstream Release Monitoring
Modified: 2011-10-03 08:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-03 08:31:42 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2011-08-13 10:10:59 UTC
Latest upstream release: 1.9
Current version in Fedora Rawhide: 1.8.3
URL: http://ftp.gnu.org/gnu/gdbm/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2011-08-14 10:14:10 UTC
Latest upstream release: 1.9.1
Current version in Fedora Rawhide: 1.8.3
URL: http://ftp.gnu.org/gnu/gdbm/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 2 Account closed by user 2011-08-21 14:51:47 UTC
Please update it to 1.9, fedora release(1.8.3) is NINE years old.

-thanks-


CHANGELOG:

Version 1.9.1

* Bugfix

Improperly used preprocessor directive caused compilation failure
when using gcc 4.4.4 or newer.


Version 1.9, 2011-08-12

* Use of mmap

To speed up I/O operations, mmap(2) is used when available.
It can be disabled at compile time using --disable-memory-mapped-io,
and at run time by giving GDBM_NOMMAP flag to gdbm_open.

* Changes in compatibility mode

The changes below fix several long-standing bugs in
ndbm compatibility code, which made it impossible to
use GDBM with Sendmail and Postfix.  Now that they are
fixed, GDBM can be used with these MTAs. 

** Locking is disabled.

Neither ndbm nor dbm functions lock their files.

This bug was reported, in particular, in
https://bugzilla.redhat.com/show_bug.cgi?id=663932

** Do not link pag to dir.

Instead of linking pag to dir as previous versions did, GDBM now
creates a separate dir file.  Consequently, dbm_pagfno and
dbm_dirfno return different file descriptors.

When opening an existing database as a writer, GDBM determines
if dir is linked to pag, and if so breaks the link and creates
a new dir file.  When such a database is opened in a read-only
mode, GDBM does not attempt to alter the link.

* gdbm_setopt

New options are implemented for use with gdbm_setopt function.
In particular, a set of options is provided for retrieving various
database parameters, such as the file name, memory mapping status,
etc.

* The testgdbm program is installed

Testgdbm is an interactive tool for manipulating GDBM database files.
It allows you to view or update existing databases, export
them to the portable flat file format and to create new database files.

* A testsuite is provided.

* Improved documentation.

Comment 3 Honza Horak 2011-08-22 14:25:14 UTC
(In reply to comment #2)
> Please update it to 1.9, fedora release(1.8.3) is NINE years old.

I'm already working on it ;)

Comment 4 Honza Horak 2011-10-03 08:31:42 UTC
The new version gdbm-1.9.1 is now in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.